org.apache.tools.ant.input

## Class MultipleChoiceInputRequest

- java.lang.Object
- - org.apache.tools.ant.input.InputRequest
  - - org.apache.tools.ant.input.MultipleChoiceInputRequest

    public class MultipleChoiceInputRequest
    extends InputRequest

Encapsulates an input request.

Since:
  Ant 1.5

### Constructor Summary

Constructors
Constructor and Description
`MultipleChoiceInputRequest(java.lang.String prompt, java.util.Vector<java.lang.String> choices)`

### Method Summary

Methods
`java.util.Vector<java.lang.String>` `getChoices()`
`boolean` `isInputValid()` Is the user input valid?

### Methods inherited from class org.apache.tools.ant.input.InputRequest

`getDefaultValue, getInput, getPrompt, setDefaultValue, setInput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleChoiceInputRequest

    public MultipleChoiceInputRequest(java.lang.String prompt,
                              java.util.Vector<java.lang.String> choices)

Parameters:
  `prompt` - The prompt to show to the user. Must not be null.
  `choices` - holds all input values that are allowed. Must not be null.

### Method Detail

#### getChoices

    public java.util.Vector<java.lang.String> getChoices()

Returns:
  The possible values.

#### isInputValid

    public boolean isInputValid()

Description copied from class: `InputRequest`
Is the user input valid?

Overrides:
  `isInputValid` in class `InputRequest`
Returns:
  true if the input is one of the allowed values.